%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-common
Version:          3.1.3
Release:          %mkrel 1
Group:            Development/Java
Summary:          JBossWS Common
License:          LGPLv2+
URL:              http://jbossws.jboss.org

Source0:          https://github.com/jbossws/jbossws-common/archive/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(jboss.jaxbintros:jboss-jaxb-intros)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor:1)
BuildRequires:    mvn(org.jboss.ws:jbossws-parent:pom:)
BuildRequires:    mvn(org.jboss.ws:jbossws-spi)
BuildRequires:    mvn(org.jboss.spec.javax.jms:jboss-jms-api_1.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires:    mvn(org.jboss.spec.javax.xml.rpc:jboss-jaxrpc-api_1.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.xml.ws:jboss-jaxws-api_2.2_spec)
BuildRequires:    mvn(wsdl4j:wsdl4j)

%description
JBoss Web Services - Common.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}

# Remove test where network connectivity is required
rm src/test/java/org/jboss/test/ws/common/management/AbstractServerConfigTestCase.java

%pom_xpath_set pom:properties/pom:jboss-logging-processor.version 1

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Thu May 11 2017 neoclust <neoclust> 3.1.3-1.mga6
+ Revision: 1100431
- imported package jbossws-common


* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 3.1.3-1
- Update to 3.1.3.Final

* Fri Jul 29 2016 gil cattaneo <puntogil@libero.it> 3.1.1-1
- Update to 3.1.1.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-1
- Upstream release 2.3.1.Final

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.3-2
- Use Requires: java-headless rebuild (#1067528)

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 2.2.3-1
- Upstream release 2.2.3.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-0.2.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-0.1.CR1
- Upstream release 2.2.0.CR1
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.1.0-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Nov 13 2012 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-1
- Upstream release 2.1.0.Final

* Tue Oct 09 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.4-5
- Added jbossws-parent BR
- Enabled tests
- Removed patch
- Using pom macros

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.4-3
- There are even more Message.properties files to copy...

* Fri Jun 22 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.4-2
- Fix missing Message.proprties file

* Fri May 4 2012 Patryk Obara <pobara@redhat.com> 2.0.4-1
- Initial packaging

